#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           k3b
Epoch:          4
Version: 23.04.1
Release:        %mkrel %{rel}
Summary:        CD-Burner for Plasma5
License:        GPLv2+
Group:          Archiving/Cd burning
Url:            https://www.kde.org/applications/multimedia/k3b/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
## upstream patches (0-100):

## downstream patches (101-200):

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5FileMetaData)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5Solid)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5Cddb)

BuildRequires:  doxygen
BuildRequires:  ffmpeg-devel
BuildRequires:  musepack-devel
BuildRequires:  pkgconfig(dvdread)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(flac++)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(shared-mime-info)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(sox)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  lame-devel
Requires:       cdrskin
Requires:       cdrkit
Requires:       cdrkit-genisoimage
Requires:       cdrdao
Requires:       sox
Requires:       vcdimager
Requires:       normalize
Requires:       dvd+rw-tools
Requires:       cdparanoia
Requires:       kcm_cddb
Requires:       oxygen-sounds
# Keep transcode until a replacement is implemented (mga#21465) (kde#360170)
Recommends:     transcode

%description
K3b is CD-writing software which intends to be feature-rich and
provide an easily usable interface. Features include burning
audio CDs from .WAV and .MP3 audio files, configuring external
programs and configuring devices.

%files -f %{name}.lang
%{_kf5_categoriesdir}/k3b.categories
%{_kf5_bindir}/k3b
%{_kf5_plugindir}/kio/videodvd.so
%dir %{_qt5_plugindir}/k3b_plugins
%dir %{_qt5_plugindir}/k3b_plugins/kcms/
%{_qt5_plugindir}/k3b_plugins/kcms/kcm_k3bexternalencoder.so
%{_qt5_plugindir}/k3b_plugins/kcms/kcm_k3blameencoder.so
%{_qt5_plugindir}/k3b_plugins/kcms/kcm_k3boggvorbisencoder.so
%{_qt5_plugindir}/k3b_plugins/kcms/kcm_k3bsoxencoder.so
%{_qt5_plugindir}/k3b_plugins/k3baudiometainforenamerplugin.so
%{_qt5_plugindir}/k3b_plugins/k3baudioprojectcddbplugin.so
%{_qt5_plugindir}/k3b_plugins/k3bexternalencoder.so
%{_qt5_plugindir}/k3b_plugins/k3bffmpegdecoder.so
%{_qt5_plugindir}/k3b_plugins/k3bflacdecoder.so
%{_qt5_plugindir}/k3b_plugins/k3blameencoder.so
%{_qt5_plugindir}/k3b_plugins/k3blibsndfiledecoder.so
%{_qt5_plugindir}/k3b_plugins/k3bmaddecoder.so
%{_qt5_plugindir}/k3b_plugins/k3bmpcdecoder.so
%{_qt5_plugindir}/k3b_plugins/k3boggvorbisdecoder.so
%{_qt5_plugindir}/k3b_plugins/k3boggvorbisencoder.so
%{_qt5_plugindir}/k3b_plugins/k3bsoxencoder.so
%{_qt5_plugindir}/k3b_plugins/k3bwavedecoder.so
%{_kf5_applicationsdir}/org.kde.k3b.desktop
%{_kf5_metainfodir}/org.kde.k3b.appdata.xml
%{_kf5_datadir}/mime/packages/x-k3b.xml
%{_kf5_datadir}/knsrcfiles/k3btheme.knsrc
%{_kf5_datadir}/k3b/
%{_kf5_datadir}/konqsidebartng/virtual_folders/services/videodvd.desktop
%{_kf5_datadir}/solid/actions/*.desktop
%{_kf5_services}/ServiceMenus/*.desktop
%{_kf5_servicetypes}/k3bplugin.desktop
%{_kf5_knotificationsdir}/k3b.notifyrc
%{_kf5_datadir}/kxmlgui5/k3b/
%{_kf5_iconsdir}/hicolor/*/*/*k3b.*
%{_libexecdir}/kauth/k3bhelper
%{_kf5_datadir}/dbus-1/system.d/org.kde.k3b.conf
%{_kf5_datadir}/polkit-1/actions/org.kde.k3b.policy
%{_kf5_datadir}/dbus-1/system-services/org.kde.k3b.service

#------------------------------------------------

%define libk3b_major 8
%define libk3b %mklibname k3blib %{libk3b_major}

%package -n     %{libk3b}
Summary:        K3B core library
Group:          System/Libraries

%description -n %{libk3b}
K3B core library.

%files -n %{libk3b}
%{_kf5_libdir}/libk3blib.so.%{libk3b_major}{,.*}

#------------------------------------------------

%define libk3bdevice_major 8
%define libk3bdevice %mklibname k3bdevice %{libk3bdevice_major}

%package -n     %{libk3bdevice}
Summary:        K3B core library
Group:          System/Libraries

%description -n %{libk3bdevice}
K3B core library.

%files -n %{libk3bdevice}
%{_kf5_libdir}/libk3bdevice.so.%{libk3bdevice_major}{,.*}

#------------------------------------------------

%package        devel
Group:          Development/KDE and Qt
Summary:        Development libraries from %{name}
Requires:       %{libk3bdevice} = %{epoch}:%{version}-%{release}
Requires:       %{libk3b} = %{epoch}:%{version}-%{release}

%description    devel
Development libraries from %{name}.

%files devel
%_includedir/*.h
%{_kf5_libdir}/libk3blib.so
%{_kf5_libdir}/libk3bdevice.so

#------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DK3B_ENABLE_PERMISSION_HELPER=ON \
           -DCMAKE_DISABLE_FIND_PACKAGE_Qt5WebKitWidgets=ON \
           -DWITH_NEW_SOLID_JOB=OFF
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html --all-name


%changelog
* Fri May 26 2023 neoclust <neoclust> 4:23.04.1-1.mga9
+ Revision: 1958530
- New version 23.04.1

* Fri Mar 31 2023 daviddavid <daviddavid> 4:22.12.3-4.mga9
+ Revision: 1950968
- add patch to fix notification sound from plasma oxygen-sound and
  no more from old kdebase4-runtime

* Thu Mar 30 2023 daviddavid <daviddavid> 4:22.12.3-3.mga9
+ Revision: 1950855
- switch to latest musepack SV8 instead of deprecated libmpcdec

* Tue Mar 21 2023 daviddavid <daviddavid> 4:22.12.3-2.mga9
+ Revision: 1949970
- disable QtWebkit5 support (mga#29326)

* Thu Mar 02 2023 neoclust <neoclust> 4:22.12.3-1.mga9
+ Revision: 1946432
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 4:22.12.2-1.mga9
+ Revision: 1941726
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 4:22.12.0-1.mga9
+ Revision: 1922845
- New version 22.12.0

* Tue Dec 06 2022 wally <wally> 4:22.11.90-2.mga9
+ Revision: 1918684
- drop optional dep on old musicbrainz

* Tue Nov 29 2022 neoclust <neoclust> 4:22.11.90-1.mga9
+ Revision: 1912636
- New version 22.11.90

* Sun Nov 20 2022 wally <wally> 4:22.08.3-2.mga9
+ Revision: 1909262
- rebuild for flac 1.4.2

* Thu Nov 10 2022 neoclust <neoclust> 4:22.08.3-1.mga9
+ Revision: 1905192
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 4:22.08.1-1.mga9
+ Revision: 1886713
- New version 22.08.1

* Wed Aug 31 2022 neoclust <neoclust> 4:22.08.0-1.mga9
+ Revision: 1882454
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 4:22.04.3-1.mga9
+ Revision: 1873008
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 4:22.04.0-1.mga9
+ Revision: 1853902
- New version 22.04.0

* Fri Apr 15 2022 neoclust <neoclust> 4:22.03.90-1.mga9
+ Revision: 1850194
- New version 22.03.90
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Mon Dec 27 2021 neoclust <neoclust> 4:21.12.0-1.mga9
+ Revision: 1764269
- New version 21.12.0
- New version 21.11.90

* Sun May 16 2021 neoclust <neoclust> 4:21.04.1-1.mga9
+ Revision: 1724441
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 4:21.04.0-1.mga9
+ Revision: 1718290
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 4:20.12.3-2.mga9
+ Revision: 1698487
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 4:20.12.2-1.mga9
+ Revision: 1694026
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 4:20.12.0-1.mga8
+ Revision: 1655548
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 4:20.08.3-1.mga8
+ Revision: 1643934
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 4:20.08.2-1.mga8
+ Revision: 1634640
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 4:20.08.1-1.mga8
+ Revision: 1626992
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 4:20.08.0-1.mga8
+ Revision: 1614857
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 4:20.04.3-1.mga8
+ Revision: 1604056
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 4:20.04.2-1.mga8
+ Revision: 1596788
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 4:20.04.1-1.mga8
+ Revision: 1584975
- New version 20.04.1

* Wed Apr 22 2020 luigiwalser <luigiwalser> 4:20.04.0-2.mga8
+ Revision: 1571020
- rebuild for libdvdread

* Fri Apr 17 2020 neoclust <neoclust> 4:20.04.0-1.mga8
+ Revision: 1568070
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 4:19.12.3-1.mga8
+ Revision: 1559260
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 4:19.12.2-2.mga8
+ Revision: 1540142
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 4:19.12.2-1.mga8
+ Revision: 1513230
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sun Dec 15 2019 neoclust <neoclust> 4:19.12.0-1.mga8
+ Revision: 1467434
- New version 19.12.0
- New version 19.11.90

* Tue Nov 19 2019 daviddavid <daviddavid> 4:19.08.3-2.mga8
+ Revision: 1461723
- rebuild for new libdvdread 6.0.2

* Tue Nov 05 2019 neoclust <neoclust> 4:19.08.3-1.mga8
+ Revision: 1457834
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 4:19.08.1-1.mga8
+ Revision: 1446340
- New version 19.08.1

* Tue Jul 30 2019 neoclust <neoclust> 4:19.04.3-1.mga8
+ Revision: 1425319
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 4:19.04.0-1.mga7
+ Revision: 1390382
- New version 19.04.0
- New version 19.04.00

* Thu Apr 11 2019 neoclust <neoclust> 4:19.03.90-1.mga7
+ Revision: 1388525
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 4:18.12.3-2.mga7
+ Revision: 1381942
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 4:18.12.3-1.mga7
+ Revision: 1375466
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 4:18.12.2-1.mga7
+ Revision: 1365501
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 4:18.12.1-1.mga7
+ Revision: 1356437
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 4:18.12.0-1.mga7
+ Revision: 1339450
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 4:18.08.3-1.mga7
+ Revision: 1332681
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 4:18.08.2-1.mga7
+ Revision: 1327334
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 4:18.04.1-2.mga7
+ Revision: 1298409
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 4:18.04.1-1.mga7
+ Revision: 1228889
- New version 18.04.1

* Sat Apr 28 2018 daviddavid <daviddavid> 4:17.12.2-2.mga7
+ Revision: 1223098
- rebuild for new ffmpeg 4.0

* Fri Feb 16 2018 neoclust <neoclust> 4:17.12.2-1.mga7
+ Revision: 1201831
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 4:17.12.1-1.mga7
+ Revision: 1194855
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 4:17.12.0-1.mga7
+ Revision: 1186392
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 4:17.08.0-1.mga7
+ Revision: 1142975
- New version 17.08.0

* Mon Aug 07 2017 daviddavid <daviddavid> 4:17.07.90-2.mga7
+ Revision: 1138485
- recommends transcode as upstream re-implemented it until a replacement (mga#21465)

* Sat Aug 05 2017 neoclust <neoclust> 4:17.07.90-1.mga7
+ Revision: 1136711
- New version 17.07.90

* Thu Jul 27 2017 neoclust <neoclust> 4:17.04.3-1.mga7
+ Revision: 1131496
- New version 17.04.3 (says hello k3b! now part of the kde apps stack)

* Sun Jun 04 2017 luigiwalser <luigiwalser> 4:2.10.0-9.mga6.tainted
+ Revision: 1106418
- add lame encoder plugins to files list

* Fri May 26 2017 neoclust <neoclust> 4:2.10.0-8.mga6.tainted
+ Revision: 1104804
- Rebuild to make autobuild happy

* Wed May 24 2017 neoclust <neoclust> 4:2.10.0-7.mga6.tainted
+ Revision: 1104353
- Add lame support

* Tue May 02 2017 akien <akien> 4:2.10.0-6.mga6
+ Revision: 1098293
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 4:2.10.0-5.mga6.tainted
+ Revision: 1090272
+ rebuild (emptylog)

* Wed Mar 08 2017 akien <akien> 4:2.10.0-5.mga6
+ Revision: 1089869
- Rebuild for ffmpeg 3.2.4

* Sun Feb 12 2017 daviddavid <daviddavid> 4:2.10.0-4.mga6.tainted
+ Revision: 1085816
- backport some upstream fixes especially one to fix adding files to data project (mga#20201)

* Sun Dec 25 2016 daviddavid <daviddavid> 4:2.10.0-3.mga6.tainted
+ Revision: 1077272
- rebuild for new libkcddb

* Fri Dec 16 2016 neoclust <neoclust> 4:2.10.0-2.mga6.tainted
+ Revision: 1075626
- Try to enable translations

* Fri Dec 16 2016 daviddavid <daviddavid> 4:2.10.0-1.mga6
+ Revision: 1075616
- port to Kf5/Qt5
- requires now cdrskin
+ neoclust <neoclust>
- New kf5 version ( git snapshot)

* Thu Mar 31 2016 daviddavid <daviddavid> 4:2.0.3a-3.mga6.tainted
+ Revision: 997180
- add patch0 to fix build with CMake 3.4 and higher
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Nov 14 2014 akien <akien> 4:2.0.3a-2.mga5.tainted
+ Revision: 797132
- Rebuild for ffmpeg 2.4

* Wed Nov 05 2014 juancho <juancho> 4:2.0.3a-1.mga5
+ Revision: 795852
- Updated to 2.0.3.a

* Wed Oct 15 2014 umeabot <umeabot> 4:2.0.2-15.mga5.tainted
+ Revision: 739854
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tmb <tmb> 4:2.0.2-14.mga5.tainted
+ Revision: 730941
- bump rel to get past BS

* Tue Sep 16 2014 umeabot <umeabot> 4:2.0.2-13.mga5
+ Revision: 680909
- Mageia 5 Mass Rebuild

* Thu Dec 26 2013 juancho <juancho> 4:2.0.2-12.mga4.tainted
+ Revision: 560719
- Added patch to fix bug#10612: K3b 2.0.2 fails to detect sox

* Sat Oct 19 2013 umeabot <umeabot> 4:2.0.2-11.mga4.tainted
+ Revision: 529656
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 fwang <fwang> 4:2.0.2-10.mga4.tainted
+ Revision: 452809
- try fix building with latest ffmpeg
- rebuild for new ffmpeg

* Sat Jan 12 2013 umeabot <umeabot> 4:2.0.2-9.mga3.tainted
+ Revision: 355762
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 4:2.0.2-8.mga3.tainted
+ Revision: 341638
- rebuild for new ffmpeg
+ mikala <mikala>
- Add requires for kcm_cddb ( needed to configure kcddb)

* Tue Jul 03 2012 fwang <fwang> 4:2.0.2-7.mga3.tainted
+ Revision: 266909
- update file list
- update url
- build lame for tainted

* Tue Jul 03 2012 fwang <fwang> 4:2.0.2-7.mga3
+ Revision: 266877
- update br

* Wed May 30 2012 fwang <fwang> 4:2.0.2-6.mga3
+ Revision: 249713
- turn to use gentoo patch
- use correct scope
- more patch
- rebuild for new ffmpeg

* Thu Dec 22 2011 juancho <juancho> 4:2.0.2-5.mga2
+ Revision: 185604
- Removed just added lame .so's as they are only added when compiling against ffmpeg from tainted which pulls in liblame also from tainted.
- Removed remaining BuildRoot stuff
- Removed useless defattr stuff
- Fixed build by adding missing so's of lameencoder in %%files

* Fri Oct 07 2011 fwang <fwang> 4:2.0.2-4.mga2
+ Revision: 152586
- drop empty section
+ juancho <juancho>
- Increase mkrel.
- Added Requires for cdparanoia (bug: 2417)

* Fri Jun 24 2011 fwang <fwang> 4:2.0.2-3.mga2
+ Revision: 113192
- correct compile fix
- fix build with ffmpeg 0.8
- br musicbrainz
- rebuild for new ffmpeg
+ mikala <mikala>
- Remove BuildRoot

* Mon Feb 07 2011 ahmad <ahmad> 4:2.0.2-2.mga1
+ Revision: 48149
- drop old provides/obsoletes/conflicts
- imported package k3b


* Sun Jan 16 2011 Funda Wang <fwang@mandriva.org> 4:2.0.2-1mdv2011.0
+ Revision: 631141
- new version 2.0.2

* Fri Sep 10 2010 Funda Wang <fwang@mandriva.org> 4:2.0.1-2mdv2011.0
+ Revision: 577021
- add upstream patch to fix mdv#60896

* Thu Aug 19 2010 Funda Wang <fwang@mandriva.org> 4:2.0.1-1mdv2011.0
+ Revision: 571353
- new version 2.0.1

* Sun Jun 27 2010 Funda Wang <fwang@mandriva.org> 4:2.0.0-1mdv2010.1
+ Revision: 549195
- update URL
- 2.0.0 final

* Thu Jun 17 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:1.93.0-0.rc4.1mdv2010.1
+ Revision: 548202
- Update to k3b 2.0 Rc4

* Wed Jun 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:1.92.0-0.rc3.5mdv2010.1
+ Revision: 546999
- Add branch patch to fix a crash

* Thu May 27 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:1.92.0-0.rc3.2mdv2010.1
+ Revision: 546416
- Remove wrong po files

* Sun May 23 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:1.92.0-0.rc3.1mdv2010.1
+ Revision: 545733
- Update to 2.0 Rc3
- Add icons on hicolor

* Tue Mar 23 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:1.91.0-0.rc2.2mdv2010.1
+ Revision: 526870
- Rebuild for kdelibs4

* Fri Mar 12 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:1.91.0-0.rc2.1mdv2010.1
+ Revision: 518387
- Update to Rc2

* Tue Feb 02 2010 Funda Wang <fwang@mandriva.org> 4:1.70.0-0.beta1.1mdv2010.1
+ Revision: 499420
- New version 1.70 beta1

* Fri Dec 18 2009 Funda Wang <fwang@mandriva.org> 4:1.69.0-0.alpha4.2mdv2010.1
+ Revision: 479943
- fix obsoletes

* Sat Nov 28 2009 Funda Wang <fwang@mandriva.org> 4:1.69.0-0.alpha4.1mdv2010.1
+ Revision: 470763
- New version 1.69 alpha4

* Thu Oct 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:1.68.0-0.alpha3.1mdv2010.0
+ Revision: 457761
- new release

* Thu Sep 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:1.66.0-0.alpha2.3mdv2010.0
+ Revision: 444190
- Remove Unused patch
  Remove wrong conflict ( ease upgrade )

  + Arthur Renato Mello <arthur@mandriva.com>
    - Add patch to always use growisofs when burning DVDs.
      Without this burning a DVD-RW, not using MultiSession, will fail using cdrecord

* Wed May 27 2009 Funda Wang <fwang@mandriva.org> 4:1.66.0-0.alpha2.1mdv2010.0
+ Revision: 380202
- 1.66.0 alpha2
- drop k3b_write_iso_image.desktop, it was merged upstream
- use language specific file list for *.mo
- fix libmajor

* Sun May 10 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:1.65.0-0.alpha1.3mdv2010.0
+ Revision: 373919
- Enable polkit support

* Thu Apr 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:1.65.0-0.alpha1.2mdv2009.1
+ Revision: 368939
- Bump release

* Thu Apr 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:1.65.0-0.alpha1.1mdv2009.1
+ Revision: 368931
- Update to k3b 2 Alpha1 ( Aka 1.65.0 )
  Increase Epoch  for new version

* Fri Apr 03 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.95-0.948770.1mdv2009.1
+ Revision: 363932
- Remove patch3, i merged it upstream
- New snapshot

* Fri Mar 27 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.95-0.945194.1mdv2009.1
+ Revision: 361559
- New snapshot ( Improve burning support)

* Thu Mar 26 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.95-0.944687.3mdv2009.1
+ Revision: 361272
- Use better option to close windows

* Thu Mar 26 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.95-0.944687.2mdv2009.1
+ Revision: 361252
- Disable french translation update as there is a syntax error
- Fix the close window
- New snapshot
  Fix some french translations

* Tue Mar 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.95-0.944027.1mdv2009.1
+ Revision: 360950
- Fix BuildRequires
- New snapshot
- New snapshot

* Sun Mar 22 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.95-0.942810.1mdv2009.1
+ Revision: 360331
- New svn snapshot
- New snapshot

* Sat Feb 21 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.95-0.928735.1mdv2009.1
+ Revision: 343771
- Fix file list
- Update translation tarball
- Really add po
- New snapshot
- Add translations
  Add service menu

* Sun Jan 25 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.95-0.916691.1mdv2009.1
+ Revision: 333559
- Fix file list
- New snapshot
  Remove merged patches
- Fix Requires (Bug #46880)

* Fri Oct 24 2008 Funda Wang <fwang@mandriva.org> 3:1.95-0.870331.3mdv2009.1
+ Revision: 296888
- fix requires of devel package

* Wed Oct 22 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.95-0.870331.2mdv2009.1
+ Revision: 296562
- Fix Requires

* Sun Oct 12 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:1.95-0.870331.1mdv2009.1
+ Revision: 292878
- Say hello back to k3b for kde4

* Mon Sep 29 2008 Helio Chissini de Castro <helio@mandriva.com> 3:1.0.5-9mdv2009.0
+ Revision: 289681
- Updated desktop file as requested by translation team

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 3:1.0.5-8mdv2009.0
+ Revision: 278341
- rebuild for new libdvdread

* Fri Aug 29 2008 Helio Chissini de Castro <helio@mandriva.com> 3:1.0.5-7mdv2009.0
+ Revision: 277282
- Obsoletes kde3-k3b and kde4-k3b

* Fri Aug 29 2008 Helio Chissini de Castro <helio@mandriva.com> 3:1.0.5-6mdv2009.0
+ Revision: 277210
- Library required need to have epoch

* Fri Aug 29 2008 Helio Chissini de Castro <helio@mandriva.com> 3:1.0.5-5mdv2009.0
+ Revision: 277205
- Fixed ffmpeg build
- Restoring k3b from kde3 to main
- Restore k3b to main name

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.0.5-3mdv2009.0
+ Revision: 267755
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Jun 06 2008 Funda Wang <fwang@mandriva.org> 1.0.5-2mdv2009.0
+ Revision: 216384
- obsoletes old libname

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 1.0.5-1mdv2009.0
+ Revision: 213979
- New version 1.0.5

* Wed May 14 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.4-4mdv2009.0
+ Revision: 207316
+ rebuild (emptylog)

* Thu May 08 2008 Helio Chissini de Castro <helio@mandriva.com> 1.0.4-3mdv2009.0
+ Revision: 204740
- Put proper provides

* Thu May 08 2008 Helio Chissini de Castro <helio@mandriva.com> 1.0.4-2mdv2009.0
+ Revision: 204720
- Missing obsoletes
- Make kde3 k3b available and move to /opt
- Keep old k3b due to unknown status of k3b for kde4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.4-2mdv2008.1
+ Revision: 137368
- Rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 04 2007 Funda Wang <fwang@mandriva.org> 1.0.4-1mdv2008.1
+ Revision: 105586
- New version 1.0.4

* Wed Sep 19 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.3-3mdv2008.0
+ Revision: 90801
- [BUGFIX] Do not display K3B on audio video (Bug #33311)

* Wed Aug 15 2007 Helio Chissini de Castro <helio@mandriva.com> 1.0.3-2mdv2008.0
+ Revision: 63818
- Removed flac as BuildRequires. Olnlu libflac and libflac++ are needed
- Recompiling to enable flac support again

* Mon Jul 23 2007 Sebastian Trueg <strueg@mandriva.com> 1.0.3-1mdv2008.0
+ Revision: 54696
- Fixed dependancies
- Removed Patch0 line since the patch has been removed from svn.
- Added K3b 1.0.3 i18n sources.
- Version bump to K3b 1.0.3.
  Removed the unicode filename patch which has alredy been included into the official K3b 1.0.3 sources.

* Wed Jul 11 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.2-3mdv2008.0
+ Revision: 51427
- Fix handling of filenames in utf8 (#31246)

* Tue Jul 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.2-2mdv2008.0
+ Revision: 47622
- add missing buildrequires

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add Requires (bug #20728)

* Wed Jun 27 2007 Funda Wang <fwang@mandriva.org> 1.0.2-1mdv2008.0
+ Revision: 44921
- use new find_lang
  new major

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version

* Tue Jun 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-2mdv2008.0
+ Revision: 38357
- rebuild for expat

  + Helio Chissini de Castro <helio@mandriva.com>
    - Change spec layout. Fix build on i18n parts that not fit well for cd4

  + Laurent Montel <lmontel@mandriva.org>
    - Remove it

* Thu Apr 19 2007 Laurent Montel <lmontel@mandriva.org> 1.0.1-1mdv2008.0
+ Revision: 14977
- 1.0.1


* Sat Mar 31 2007 Olivier Blin <oblin@mandriva.com> 1.0-3mdv2007.1
+ Revision: 150023
- rebuild to fix corrupted hdlist header

  + Laurent Montel <lmontel@mandriva.com>
    - add patch from branch

* Sun Mar 18 2007 Olivier Blin <oblin@mandriva.com> 1.0-2mdv2007.1
+ Revision: 145763
- tag lang on HTML doc

  + Laurent Montel <lmontel@mandriva.com>
    - 1.0

* Tue Mar 13 2007 Laurent Montel <lmontel@mandriva.com> 1.0-0.rc7.2mdv2007.1
+ Revision: 142381
- rc7

* Mon Mar 05 2007 Laurent Montel <lmontel@mandriva.com> 1.0-0.rc6.2mdv2007.1
+ Revision: 133016
- k3bsetup2 not necessary

* Fri Feb 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc6.1mdv2007.1
+ Revision: 125003
- regenerate P1
- own missing files
- rebuild against new libmpcdec

  + Laurent Montel <lmontel@mandriva.com>
    - rc6

* Sat Jan 27 2007 Laurent Montel <lmontel@mandriva.com> 1.0-0.rc5.1mdv2007.1
+ Revision: 114364
- rc5

* Wed Jan 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-0.rc4.2mdv2007.1
+ Revision: 110030
- Add patch2 : Add wodim support

* Tue Jan 09 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-0.rc4.1mdv2007.1
+ Revision: 106587
- New version 1.0rc4 (Last before 1.0)

* Sat Dec 30 2006 Laurent Montel <lmontel@mandriva.com> 1.0-0.rc3.1mdv2007.1
+ Revision: 102863
- rc3

* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-0.rc2.1mdv2007.1
+ Revision: 96454
- Fix Spec
- New version 1.0rc2

* Mon Dec 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-0.rc1.1mdv2007.1
+ Revision: 95104
- Fix spec File
- New version 1.0rc1

* Fri Dec 01 2006 Laurent Montel <lmontel@mandriva.com> 1.0-0.beta1.2mdv2007.1
+ Revision: 89519
- Fix spec file
- 1.0-beta1

* Thu Nov 02 2006 Laurent Montel <lmontel@mandriva.com> 0.12.17-3mdv2007.1
+ Revision: 75817
- Fix detect autoconf2.60
- Fix bug #26843
- add %%doc

* Fri Aug 25 2006 Helio Chissini de Castro <helio@mandriva.com> 0.12.17-1mdv2007.0
+ Revision: 57930
- k3b need flac do decide wich version is using.
- Proper file list for docs
- Make proper buildrequires
- Make proper buildrequires
- Removed non used patches
- Removed reconfigure ( not needed )
- Added suffix for 64
- Removed enable-new-ldflags
- Updated for 0.12.17

* Thu Aug 03 2006 Laurent Montel <lmontel@mandriva.com> 0.12.16-5mdv2007.0
+ Revision: 43017
- Rebuild with new k3b
  (2006/08/02) 5mdv

* Fri Jul 28 2006 Laurent Montel <lmontel@mandriva.com> 0.12.16-4mdv2007.0
+ Revision: 42270
- New version 0.12.16-4mdv (2006-07-27)
  (necessary to add this info as repsys is not able to add this info)
  Don't add categorie for hidden desktop files
- Fix file list
- Requires vcdimager
- use macro
- 0.12.16
- Rebuild with new dbus
- Rebuild to generate good category
- Rebuild against xorg
- Rebuild to generate category
- 0.12.15
- 0.12.14
- 0.12.12
- Fix spec file
- 0.12.11
- Add ja message (patch from UTUMI Hirosi)
- Re-add Buildrequires: flac
- Rebuild with new lib dbus
- Reenable flac compile (now k3b fixed this support)
- 0.12.10
- 0.12.9
- use %%mkrel
- 0.12.8
- 0.12.7
- Rebuild with new dbus
- Fix spec file
- Fix buildrequires found by Christiaan Welvaart
- Add
- 0.12.5
- Fix spec file
- 0.12.4a
- New fix
- Last sync
- New diff
- New sync
- Fix compile error
- Sync with k3b branch (add all changes from this WE)
- Fix crash on x86_64
- Add diff from branch
- Fix lang
- Add enable-final
- 0.12.3
- Fix buildrequires bug found by nicolas Chipaux
- 0.12.2
- Rebuild for x86_64
- Update
- Update 0.12

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - 0.12.15-3mdk
      	- Reupload for x86_64"
    - 0.12.14-2mdk
    - remove Japanese messages (merged upstream) #21035

  + Helio Chissini de Castro <helio@mandriva.com>
    - Uploading package ./k3b

* Mon Jun 20 2005 Laurent MONTEL <lmontel@mandriva.com> 0.12.1-1mdk
- 0.12.1

* Fri May 13 2005 Laurent MONTEL <lmontel@mandriva.com> 0.12-0.beta1.1mdk
- first k3b 0.12 beta1

* Thu May 12 2005 Laurent MONTEL <lmontel@mandriva.com> 0.11.24-1mdk
- 0.11.24

* Tue May 03 2005 Laurent MONTEL <lmontel@mandriva.com> 0.11.23-2mdk
- Rebuild with new libflac

* Fri Apr 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.23-1mdk
- 0.11.23

* Thu Mar 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-7mdk
- Add patch14: fix welcome widget crash

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-6mdk
- Add patch12: "Always close DVD when writing iso image as default."
			   "Use incremental seqeuntial writing mode as default for DVD-R(W)."
- Add patch13: fix cddb crash

* Thu Mar 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-5mdk
- Add patch10: "fix for crash when importing session failed."
- Add patch11: fix layout

* Thu Feb 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-4mdk
- Add patch9: fix diskdetection

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-3mdk
- Add patch8: fix sound file filter (bug found by Wilman)

* Mon Feb 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-2mdk
- Add patch7: fix detect device on buggy firmwares

* Fri Feb 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-1mdk
- 0.11.20

* Fri Feb 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.19-7mdk
- Make clean to ensure that we regenerate all po file fix "Burn..." not translated and other po problem
- Add patch6: fix translate

* Fri Feb 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.19-6mdk
- Add patch5: fix kde bug #96859 fix multi session

* Thu Jan 27 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.19-5mdk
- 0.11.19

* Thu Jan 13 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.18-5mdk
- Add patch5: fix delete dvd image

* Wed Dec 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.18-4mdk
- Fix crash when we can't find a writer device

* Wed Dec 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.18-3mdk
- Add debug

* Mon Dec 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.18-2mdk
- 0.11.18

* Thu Dec 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.17-2mdk
- fix spec file

* Sat Oct 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.17-1mdk
- 0.11.17

* Sat Oct 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.16-4mdk
- Remove requires kdebase not necessary

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.16-3mdk
- Add patch6: "fixed cd-text loading in audio projects"

* Sat Sep 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.16-2mdk
- Add patch5: fix detect speed

* Sat Sep 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.16-1mdk
- 0.11.16

* Sat Aug 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.14-7mdk
- Fix %%Name -> %%name

* Sat Aug 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.14-6mdk
- Fix icons link (bug found by Fred Crozat)

* Sat Aug 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.14-5mdk
- Fix again menu :(

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.14-4mdk
- Fix menu

* Thu Aug 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.14-3mdk
- Fix url

* Wed Aug 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.14-2mdk
- Add patch4: fix k3b + kernel 2.6.8.1

* Wed Aug 11 2004 Laurent Culioli <laurent@mandrake.org> 0.11.14-1mdk
- 0.11.14
- spec cleanup

* Thu Aug 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.13-1mdk
- 0.11.13

* Thu Aug 05 2004 Götz Waschk <waschk@linux-mandrake.com> 0.11.12-4mdk
- rebuild for new flac

* Sat Jul 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.12-3mdk
- Minor spec file clean

* Sat Jul 31 2004 Laurent Culioli <laurent@mandrake.org> 0.11.12-2mdk
- Patch8 ( fix new dvd+rw-format detection )

* Sat Jun 26 2004 Laurent Culioli <laurent@mandrake.org> 0.11.12-1mdk
- 0.11.12

* Thu Jun 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.11-2mdk
- Fix obsolete

* Wed Jun 16 2004 Laurent Culioli <laurent@mandrake.org> 0.11.11-1mdk
- 0.11.11
- change major

* Sat Jun 05 2004 <lmontel@n2.mandrakesoft.com> 0.11.10-5mdk
- Rebuild

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.10-4mdk
- Rebuild to update src.rpm

* Wed Jun 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.10-3mdk
- 0.11.10

* Sat May 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.11.9-3mdk
- don't do stuff within parantheses
- fix buildrequires

* Mon Apr 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.11.9-2mdk
- fix buildrequires

* Wed Mar 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.9-1mdk
- 0.11.9
- Use %%configure
- Use mdkversion

